> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/addresses/

Returns an array of all addresses available to the merchant.

Storefront API Scope may authenticate with Trust Level Authentication (`trust_level: recognized`).

Listing addresses for more than one customer requires Application API Scope with the Bulk Operations permission.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/addresses/list

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `customer` (string, optional) — Customer ID (only available in API user scope)
- `live` (boolean, optional) — Address status: active (True) or inactive (False)
- `updated_start` (date, optional) — Addresses whose updated datetime is greater than or equal to the given datetime (yyyy-mm-ddThh:mm:ss)
- `updated_end` (date, optional) — Addresses whose updated datetime is less than or equal to the given datetime (yyyy-mm-ddThh:mm:ss)

## Response

### 200

200

- `customer` (string, optional)
- `public_id` (string, optional)
- `label` (string, optional, nullable)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `company_name` (string, optional, nullable)
- `address` (string, optional)
- `address2` (string, optional, nullable)
- `city` (string, optional)
- `state_province_code` (string, optional)
- `zip_postal_code` (string, optional)
- `phone` (string, optional)
- `fax` (string, optional, nullable)
- `country_code` (string, optional)
- `live` (boolean, optional, default: true)
- `created` (string, optional)
- `updated` (string, optional)
- `token_id` (string, optional, nullable)
- `store_public_id` (any, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Examples

**Response**

```json
{
  "customer": "00026001",
  "public_id": "c4cd7f86ccc411e8ada3bc764e101db1",
  "label": null,
  "first_name": "Nathan",
  "last_name": "Torres",
  "company_name": null,
  "address": "75 Broad St Fl 23",
  "address2": null,
  "city": "New York",
  "state_province_code": "NY",
  "zip_postal_code": "10004-2487",
  "phone": "3154055372",
  "fax": null,
  "country_code": "US",
  "live": true,
  "created": "2018-10-10 14:43:32",
  "updated": "2018-10-10 14:43:32",
  "token_id": null
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/addresses/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/addresses/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/addresses/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/addresses/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/addresses/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/addresses/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/addresses/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/addresses/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```